using GrapeCity.Documents.Excel;
using System.Diagnostics;

namespace GrapeCity
{
    class Program
    {
        static void Main(string[] args)
        {
					//create a new workbook
		var workbook = new Workbook();
		
		IWorksheet worksheet = workbook.Worksheets[0];

            worksheet.Range["A1"].Value = "Currency";
            worksheet.Range["A1"].Orientation = 45;
            worksheet.Range["B1"].Value = "Column1";
            worksheet.Range["B1"].Orientation = 45;
            worksheet.Range["C1"].Value = "Column2";
            worksheet.Range["C1"].Orientation = 45;
            worksheet.Range["D1"].Value = "Additional Comment";
            worksheet.Range["D1"].Orientation = 45;
            worksheet.Range["E1"].Value = "Cost per Unit";
            worksheet.Range["E1"].Orientation = 45;
            worksheet.Range["F1"].Value = "Commission";
            worksheet.Range["F1"].Orientation = 45;
            for (int i = 1;i<=20;i++)
            {
                worksheet.Cells[i, 0].Value = (i <= 10) ? "GBP" : "EUR";
                worksheet.Cells[i, 1].Value = 1;
                worksheet.Cells[i, 2].Value = "";
                worksheet.Cells[i, 3].Value = "0.00%";
                worksheet.Cells[i, 4].Value = "0.00%";
                worksheet.Cells[i, 5].Value = 0;
            }
            worksheet.Columns.AutoFit();
            workbook.Save("AutoFit.xlsx");
            ProcessStartInfo ps = new ProcessStartInfo()
            {
                UseShellExecute = true,
                FileName = "AutoFit.xlsx"
            };
            Process.Start(ps);
        }

		
    }
}